#Aqueduct - Compliance Remediation Content
#Copyright (C) 2011,2012  Vincent C. Passaro (vincent.passaro@gmail.com)
#
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor,
#Boston, MA  02110-1301, USA.

#!/bin/bash
######################################################################
#By Tummy a.k.a Vincent C. Passaro                                   #
#Vincent[.]Passaro[@]gmail[.]com                                     #
#www.vincentpassaro.com                                              #
######################################################################
#_____________________________________________________________________
#|  Version |   Change Information  |      Author        |    Date    |
#|__________|_______________________|____________________|____________|
#|    1.0   |   Initial Script      | Vincent C. Passaro | 06-dec-2011|
#|          |   Creation            |                    |            |
#|__________|_______________________|____________________|____________|
#######################DISA INFORMATION###############################
#10.1 Create Warnings For Network And Physical Access Services
#Description:
#The contents of the /etc/issue file are displayed prior to the login 
#prompt on the system's console and serial devices. /etc/motd is generally 
#displayed after all successful logins, no matter where the user is 
#logging in from, but is thought to be less useful because it only provides 
#notification to the user after the machine has been accessed.

source /etc/aqueduct/aqueduct.conf

BANNER="
***************************************************************************
                            NOTICE TO USERS
This computer system is the private property of its owner.
It is for authorized use only.  Users (authorized or unauthorized)
have no explicit or implicit expectation of privacy.

Any or all uses of this system and all files on this system may be
intercepted, monitored, recorded, copied, audited, inspected, and
disclosed to your employer, to authorized site, government, and law
enforcement personnel, as well as authorized officials of government
agencies, both domestic and foreign.

By using this system, the user consents to such interception, monitoring,
recording, copying, auditing, inspection, and disclosure at the
discretion of such personnel or officials.  Unauthorized or improper use
of this system may result in civil and criminal penalties and
administrative or disciplinary action, as appropriate. By continuing to
use this system you indicate your awareness of and consent to these terms
and conditions of use. LOG OFF IMMEDIATELY if you do not agree to the
conditions stated in this warning.
****************************************************************************
"

if [ -f $ISSUE ]; then
	cp $ISSUE /etc/issue.net
else
	echo $BANNER > /etc/issue.net
fi

if [ -f $MOTD ]; then
	cp $MOTD /etc/motd
else
	echo $BANNER > /etc/motd
fi

# Protect banner files:
chown root:root /etc/issue /etc/issue.net /etc/motd

chmod 0644 /etc/issue /etc/issue.net /etc/motd
