#Aqueduct - Compliance Remediation Content
#Copyright (C) 2011,2012  Vincent C. Passaro (vincent.passaro@gmail.com)
#
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor,
#Boston, MA  02110-1301, USA.

#!/bin/bash
######################################################################
#By Tummy a.k.a Vincent C. Passaro                                   #
#Vincent[.]Passaro[@]gmail[.]com                                     #
#www.vincentpassaro.com                                              #
######################################################################
#_____________________________________________________________________
#|  Version |   Change Information  |      Author        |    Date    |
#|__________|_______________________|____________________|____________|
#|    1.0   |   Initial Script      | Vincent C. Passaro | 06-dec-2011|
#|          |   Creation            |                    |            |
#|__________|_______________________|____________________|____________|
#######################DISA INFORMATION###############################

#SN.9 Additional Network Parameter Tunings
#Description:
#Before implementing these changes, please review 
#them with the local environment in mind. The below 
#value for tcp_max_orphans is much lower than the 
#default 16,384, and may be too low, depending on 
#the server's use and environment.

cat <<EOF >> /etc/sysctl.conf
# The following 02 lines added, per CIS Red Hat Enterprise Linux Benchmark sec SN.9, to harden the baseline image:
net.ipv4.tcp_max_orphans = 256
net.ipv4.conf.all.log_martians = 1
EOF

chown root:root /etc/sysctl.conf

chmod 0600 /etc/sysctl.conf
